Bug 14712 - Способность создавать неупакованные образы для флешек
: Способность создавать неупакованные образы для флешек
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mkimage)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2008-02-29 20:54 by
Modified: 2008-03-04 20:41 (History)


Attachments
обработка BOOT_TYPE=syslinux (1.93 KB, patch)
2008-02-29 20:59, Michael A. Kangin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-29 20:54:19
Хотелось бы, чтоб с помощью mkimage можно было делать неупакованную в iso
структуру файлов для заливки на флешки/usb-диски:
- значение syslinux для BOOT_TYPE, обработка этого (см. патч)
- поддержка глобальных версий переменных для BOOT_TYPE, PROPAGATOR_MAR_MODULES
(не знаю, нужно ли это именно в mkimage делать, успешно захакивается в
mkimage-profiles-desktop)
------- Comment #1 From 2008-02-29 20:59:42 -------
Created an attachment (id=2464) [details]
обработка BOOT_TYPE=syslinux

для построения неупакованного образа с syslinux нужно выставить значение
BOOT_TYPE = syslinux, MKI_PACKTYPE оставить boot.
Сейчас при этом в .our создаётся папка с именем $MKI_OUTNAME, не уверен, будет
ли так правильно, но иначе вся файловая структура оказывается прямо в out/, без
своей подпапки.
------- Comment #2 From 2008-03-01 21:22:48 -------
В этом патче сразу два исправления, плюс патч для поддержки syslinux не доделан
... но это не беда.
------- Comment #3 From 2008-03-01 21:49:58 -------
Applied, thanks.